### Method

# GLib Cache key_foreach

deprecated: 2.32

#### Declaration [src]

    void
    g_cache_key_foreach (
      GCache* cache,
      GHFunc func,
      gpointer user_data
    )

#### Description [src]

Calls the given function for each of the keys in the `GCache`.

NOTE `func` is passed three parameters, the value and key of a cache entry and the `user_data`. The order of value and key is different from the order in which `g_hash_table_foreach()` passes key-value pairs to its callback function !

Deprecated since: 2.32

Use a `GHashTable` instead.

#### Parameters

`func`

  Type: `GHFunc`

  The function to call with each `GCache` key.

`user_data`

  Type: `gpointer`

  User data to pass to the function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.